Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.https
Class httpsd

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.httpd
            |
            +--org.w3c.jigsaw.https.httpsd

All Implemented Interfaces:
  java.lang.Cloneable, PropertyMonitoring, java.lang.Runnable, ServerHandler, ServerInterface, Status

public class httpsd
extends httpd

Field Summary
`protected SSLAdapter` | `adapter` reference to the TLS support adapter of this daemon

Fields inherited from class org.w3c.jigsaw.http.httpd
`CHECKURL_P, CLIENT_BUFSIZE_P, CLIENT_DEBUG_P, CLIENT_FACTORY_P, CLIENT_PRIORITY_P, CONFIG_P, debug, DEFHOSTIP_P, DISPLAY_URL_ON_ERROR_P, DOCURL_P, EDIT_ROOT_P, FS_SENSITIVITY, host, HOST_P, instances, KEEP_ALIVE_P, KEEP_TIMEOUT_P, LOGGER_P, MAX_LOADED_STORE, MAX_LOADED_STORE_P, port, PORT_P, props, PROPS_P, PUBLIC_P, REQUEST_TIMEOUT_P, root, ROOT_CLASS_P, ROOT_NAME_P, ROOT_P, SERIALIZER_CLASS_P, SERVER_GROUP_P, SERVER_SOFTWARE_P, SERVER_USER_P, SHUFFLER_PATH_P, SPACE_P, STARTUP_P, STORE_SIZE_LIMIT, STORE_SIZE_LIMIT_P, thread, timer, TRACE_P, TRASHDIR_P, url, USE_SM_P, verscount, VERSCOUNT_P, version`

Constructor Summary
`httpsd()` constructor of this daemon

Method Summary
`protected java.lang.Object` | `clone()` clone method of this daemon
`protected java.lang.String` | `getBanner()` method for supplying the banner of this daemon
`java.net.URL` | `getURL()` method for supplying the uri of this daemon
`protected void` | `initializeProperties()` method for initializing the properties of this daemon
`protected void` | `initializePropertySets()` method for registering TLS property management
`ReplyInterface` | `perform(RequestInterface req)` method for supplying a reply interface of a request
`boolean` | `propertyChanged(java.lang.String name)` method for handling a dynamic property modification

Methods inherited from class org.w3c.jigsaw.http.httpd
`checkFileSystemSensitivity, checkpoint, checkUpgrade, cleanTempDirectory, cleanup, clone, debug, enumeratePropertySet, errlog, errlog, errlog, errlog, fatal, fatal, getAuthDirectory, getClientBufferSize, getClientDebug, getClientKeepConnection, getClientThreadPriority, getConfigDirectory, getConfigResource, getConnectionTimeOut, getDefaultContext, getDocumentationURL, getEditRoot, getHost, getHTMLStatus, getIdentifier, getIndexerDirectory, getIndexersCatalog, getInetAddress, getLocalPort, getLogger, getMimeClientFactory, getPort, getProperties, getPropertySet, getRealmsCatalog, getRequestTimeOut, getResourceSpace, getResourceStoreManager, getRoot, getRootDirectory, getRootReference, getShuffler, getSoftware, getSpaceDir, getStatistics, getStoreDirectory, getTempDirectory, getTrashDirectory, initialize, loadResource, loadRoot, loadStartupClasses, log, log, main, registerPropertySet, restart, run, shutdown, start, startCheckpoint, trace, trace, usage, warning, warning`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapter

    protected SSLAdapter adapter

  reference to the TLS support adapter of this daemon

Constructor Detail

### httpsd

    public httpsd()

  constructor of this daemon

Method Detail

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  clone method of this daemon

  Overrides:
    `clone` in class `java.lang.Object`
    `java.lang.CloneNotSupportedException`

### getBanner

    protected java.lang.String getBanner()

  method for supplying the banner of this daemon

  Overrides:
    `getBanner` in class `httpd`
  Returns:
    banner of this daemon

### initializePropertySets

    protected void initializePropertySets()

  method for registering TLS property management

  Overrides:
    `initializePropertySets` in class `httpd`

### initializeProperties

    protected void initializeProperties()
                                 throws ServerHandlerInitException

  method for initializing the properties of this daemon

  Overrides:
    `initializeProperties` in class `httpd`
  Throws:
    `ServerHandlerInitException` - if initialization fails

### propertyChanged

    public boolean propertyChanged(java.lang.String name)

  method for handling a dynamic property modification

  Specified by:
    `propertyChanged` in interface `PropertyMonitoring`
  Overrides:
    `propertyChanged` in class `httpd`
  Parameters:
    `name` - the name of the property modified
  Returns:
    true if and only if the modification has been handled successfully

### perform

    public ReplyInterface perform(RequestInterface req)
                           throws ProtocolException,
                                  ResourceException

  method for supplying a reply interface of a request

  Specified by:
    `perform` in interface `ServerInterface`
  Overrides:
    `perform` in class `httpd`
  Parameters:
    `req` - current request to be handled
  Returns:
    reply for a current request
  Throws:
    `ResourceException` - If a resource got a fatal error.
    `ProtocolException` - If some error occurs during processing the request.

### getURL

    public java.net.URL getURL()

  method for supplying the uri of this daemon

  Specified by:
    `getURL` in interface `ServerInterface`
  Overrides:
    `getURL` in class `httpd`
  Returns:
    uri of this daemon

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD